%define name gnome-specimen
%define version 0.4
%define release %mkrel 5

Name:	%{name}
Version: %{version}
Release: %{release}
Summary: View and Compare Fonts installed on your System
Source:	http://uwstopia.nl/geek/projects/gnome-specimen/releases/gnome-specimen-%{version}.tar.xz
Patch1:	gnome-specimen-python-prefix.patch
URL:	http://uwstopia.nl/blog/2006/11/gnome-specimen-0-4-is-out
Group:	 Graphics
License: GNU General Public License (GPL)
BuildRoot: %{_tmppath}/build-%{name}-%{version}
BuildRequires:	python
BuildRequires:  python-devel 
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool 
BuildRequires:  gettext-devel 
BuildRequires:  gettext 
BuildRequires:  make 
BuildRequires:	autoconf 
BuildRequires:  libtool 
BuildRequires:  automake 
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2
BuildRequires:  libGConf2-devel 
Requires:       gnome-python
Requires(post):GConf2
Requires(preun):GConf2
Requires: 	python >= 2.6.6

%description
Gnome Specimen, a simple tool to view and compare fonts installed on your
system.

Gnome Specimen currently features:
- A list of all fonts available (the left pane)
- A list of font previews (the right pane)
- Configurable preview text and font size
- Configurable foreground and background colors used in the preview pane

%prep
%setup -q
%patch1

%build
%configure2_5x
%install
%makeinstall_std

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-specimen.schemas &>/dev/null || :

export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/gnome-specimen.schemas &>/dev/null || :

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Specimen Font Previewer
Exec=%{name}
Icon=%{name}-32.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;GTK;GNOME;Viewer;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog COPYING
%config %{_sysconfdir}/gconf/schemas/gnome-specimen.schemas
%{_bindir}/gnome-specimen
%{_datadir}/gnome-specimen
%{py_sitedir}/specimen
%{_datadir}/locale/*/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/gnome-specimen.*

%changelog
* Mon Sep 06 2010 Texstar <texstar at gmail.com> 0.4-5pclos2010
- rebuild for new python

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.4-4pclos2010
- remove obsolte dependency

* Sat May 23 2009 Texstar <texstar@gmail.com> 0.4-3pclos2009
- fix rpm group

* Tue Apr 14 2009 pcserver <pcserver@hushmail.com> 0.4-2pclos2007
- rebuild python 2.5

* Sun Jun 08 2008 Slick50 <slick50@linuxgator.org> 0.4-1pclos2007
- Initial build for PCLinuxOS
